Subject: [PATCH 00/11] Some fixes and bunch of object_id conversions

From: Patryk Obara <[email-masked]>
Date: Thu, 18 Jan 2018 15:50:52 +0100

This patch series puts some mundane groundwork for experimentation with a new
hashing algorithm in git-hash-object.

Some time has passed since my last patches, and  I see, that work on new
hashing algorithm progressed nicely since then:

* brian m. carlson implemented vtable for hash algorithm selection and pushed
the repository format front - thanks to him it's now quite easy to
experimentally replace hashing functions and, e.g. do some performance testing.

* _a lot of people_ contributed to the transition plan, and now it's available
in text format in Documentation dir - Thank you all! It's much more readable
this way.

Patch 1 is not directly related to object_id conversions but helped with
debugging t5540, which kept failing on master for me (spoiler: it was Fedora
fault).  It helps with debugging of failing git-push over HTTP in case of
internal server error, so I think it might be worthwhile.

Patch 2 is a small adjustment to .clang-format, which prevents unnecessary
line breaks after function return type.

Patch 6 is a tiny fix in oidclr function.

All other patches are progressive conversions to struct object_id with some
formatting fixes sprinkled in. These should be somewhat uncontroversial, I hope.

Patryk Obara (11):
  http-push: improve error log
  clang-format: adjust penalty for return type line break
  sha1_file: convert pretend_sha1_file to object_id
  dir: convert struct sha1_stat to use object_id
  sha1_file: convert hash_sha1_file to object_id
  cache: clear whole hash buffer with oidclr
  match-trees: convert splice_tree to object_id
  commit: convert commit_tree* to object_id
  notes: convert combine_notes_* to object_id
  notes: convert write_notes_tree to object_id
  sha1_file: convert write_sha1_file to object_id

 .clang-format                        |  2 +-
 apply.c                              | 12 +++----
 blame.c                              |  2 +-
 builtin/am.c                         |  4 +--
 builtin/checkout.c                   |  3 +-
 builtin/commit-tree.c                |  4 +--
 builtin/commit.c                     |  5 +--
 builtin/index-pack.c                 |  3 +-
 builtin/merge.c                      |  8 ++---
 builtin/mktag.c                      |  6 ++--
 builtin/mktree.c                     | 10 +++---
 builtin/notes.c                      |  8 ++---
 builtin/receive-pack.c               | 11 ++++---
 builtin/replace.c                    |  4 +--
 builtin/tag.c                        |  2 +-
 builtin/unpack-objects.c             | 11 ++++---
 cache-tree.c                         | 13 ++++----
 cache.h                              | 13 ++++----
 commit.c                             | 13 ++++----
 commit.h                             | 11 ++++---
 convert.c                            |  6 ++--
 diffcore-rename.c                    |  2 +-
 dir.c                                | 31 +++++++++---------
 dir.h                                |  2 +-
 http-push.c                          |  4 +++
 log-tree.c                           |  2 +-
 match-trees.c                        | 40 +++++++++++------------
 merge-recursive.c                    |  5 +--
 notes-cache.c                        |  8 ++---
 notes-merge.c                        |  9 +++---
 notes-utils.c                        |  9 +++---
 notes-utils.h                        |  3 +-
 notes.c                              | 63 ++++++++++++++++++------------------
 notes.h                              | 29 ++++++++++-------
 read-cache.c                         |  6 ++--
 sha1_file.c                          | 51 +++++++++++++++--------------
 t/helper/test-dump-untracked-cache.c |  4 +--
 37 files changed, 217 insertions(+), 202 deletions(-)

-- 
2.14.3